net.corda.core.contracts

## Class TransactionType.General

- net.corda.core.contracts.TransactionType
- - net.corda.core.contracts.TransactionType.General

- Enclosing class:
    TransactionType

      public static class TransactionType.General
      extends TransactionType

  A general transaction type where transaction validity is determined by custom contract code

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `General.Builder` Just uses the default `class TransactionBuilder` with no special logic

    - ### Nested classes/interfaces inherited from class net.corda.core.contracts.TransactionType

      `TransactionType.General, TransactionType.NotaryChange`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `General()` A general transaction type where transaction validity is determined by custom contract code

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<net.corda.core.crypto.CompositeKey>` | `getRequiredSigners(LedgerTransaction tx)` Return the list of public keys that that require signatures for the transaction type. Note: the notary key is checked separately for all transactions and need not be included.
    `void` | `verifyTransaction(LedgerTransaction tx)` Implement type specific transaction validation logic

    - ### Methods inherited from class net.corda.core.contracts.TransactionType

      `equals, getRequiredSigners, hashCode, verify, verifySigners, verifyTransaction`

- - ### Constructor Detail

    - #### General

          public General()

      A general transaction type where transaction validity is determined by custom contract code

  - ### Method Detail

    - #### verifyTransaction

          public void verifyTransaction(LedgerTransaction tx)

      Implement type specific transaction validation logic

    - #### getRequiredSigners

          public java.util.Set<net.corda.core.crypto.CompositeKey> getRequiredSigners(LedgerTransaction tx)

      Return the list of public keys that that require signatures for the transaction type. Note: the notary key is checked separately for all transactions and need not be included.